<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Follow Up Email for Magento 2
 */

namespace Amasty\Followup\Model\Event\Order;

class NewOrder extends \Amasty\Followup\Model\Event\Order\Status
{
    /**
     * @var string
     */
    protected $_statusKey = self::STATUS_KEY_CREATE_ORDER;

    /**
     * @inheritdoc
     */
    protected function addFilters($collection)
    {
        $this->addDateRange($collection, 'order.created_at');
    }
}
