<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Follow Up Email for Magento 2
 */

namespace Amasty\Followup\Model\ResourceModel;

use Magento\Framework\Model\ResourceModel\Db\VersionControl\AbstractDb;

class Blacklist extends AbstractDb
{
    public const TABLE_NAME = 'amasty_amfollowup_blacklist';

    protected function _construct()
    {
        $this->_init(self::TABLE_NAME, 'blacklist_id');
    }

    public function saveImportData($emails)
    {
        $this->getConnection()->insertOnDuplicate($this->getMainTable(), $emails, ["email"]);
    }
}
