<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Follow Up Email for Magento 2
 */

namespace Amasty\Followup\Model\ResourceModel\Link;

class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{
    protected function _construct()
    {
        parent::_construct();
        $this->_init(\Amasty\Followup\Model\Link::class, \Amasty\Followup\Model\ResourceModel\Link::class);
        $this->_setIdFieldName($this->getResource()->getIdFieldName());
    }

    public function addHistoryData()
    {
        $this->getSelect()->join(
            ['history' => $this->getTable('amasty_amfollowup_history')],
            'main_table.history_id = history.history_id',
            []
        );
        return $this;
    }
}
