<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Follow Up Email for Magento 2
 */

namespace Amasty\Followup\Model\ResourceModel\Rule\Relation;

use Amasty\Followup\Api\Data\RuleInterface;

interface HandlerInterface
{
    public function execute(RuleInterface $entity, array $arguments = []): RuleInterface;
}
