<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Follow Up Email for Magento 2
 */
namespace Amasty\Followup\Model\ResourceModel\Schedule;

class Collection extends \Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection
{
    protected function _construct()
    {
        parent::_construct();
        $this->_init(\Amasty\Followup\Model\Schedule::class, \Amasty\Followup\Model\ResourceModel\Schedule::class);
        $this->_setIdFieldName($this->getResource()->getIdFieldName());
    }

    public function addRule($rule)
    {
        $this->addFilter('rule_id', $rule->getId());
        return $this;
    }
}
