<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Follow Up Email for Magento 2
 */

namespace Amasty\Followup\Cron;

use Amasty\Followup\Model\IndexerFactory;

class RefreshHistory
{
    /**
     * @var IndexerFactory
     */
    protected $_indexerFactory;

    public function __construct(
        IndexerFactory $indexerFactory
    ) {
        $this->_indexerFactory = $indexerFactory;
    }

    public function execute()
    {
        $this->_indexerFactory->create()->run();
    }
}
